curl --request POST \
--url https://users.rime.ai/oov \
--header 'Accept: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--fail \
--data '{
"text": "<string>"
}'
import requests
url = "https://users.rime.ai/oov"
payload = {
"text": "<string>"
}
headers = {
"Accept": "application/json",
"Authorization": "Bearer <authorization>",
"Content-Type": "application/json"
}
response = requests.request("POST", url, json=payload, headers=headers)
print(response.text)
const options = {
method: 'POST',
headers: {
Accept: 'application/json',
Authorization: 'Bearer <authorization>',
'Content-Type': 'application/json'
},
body: '{"text":"<string>"}'
};
fetch('https://users.rime.ai/oov', options)
.then(response => response.json())
.then(response => console.log(response))
.catch(err => console.error(err));
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://users.rime.ai/oov",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "{\n \"text\": \"<string>\"\n}",
CURLOPT_HTTPHEADER => [
"Accept: application/json",
"Authorization: Bearer <authorization>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
package main
import (
"fmt"
"strings"
"net/http"
"io/ioutil"
)
func main() {
url := "https://users.rime.ai/oov"
payload := strings.NewReader("{\n \"text\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Accept", "application/json")
req.Header.Add("Authorization", "Bearer <authorization>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}
HttpResponse<String> response = Unirest.post("https://users.rime.ai/oov")
.header("Accept", "application/json")
.header("Authorization", "Bearer <authorization>")
.header("Content-Type", "application/json")
.body("{\n \"text\": \"<string>\"\n}")
.asString();
["testt", "testtt"]
[]
Other APIs
Coverage
Coverage endpoint: check which input words are not yet in Rime’s pronunciation dictionary.
All requests require authentication with a bearer token in the
The response will include an array with any strings not covered by the current Rime dictionary:
Authorization header: Authorization: Bearer YOUR_API_KEY. See API authentication for how to create a key.
Overview
This endpoint returns the words in your input that are absent from Rime’s pronunciation dictionary. Uncovered words are still synthesized using the model’s predicted pronunciation, but brand names, technical terms, and names should be verified before production use. Dictionary additions typically take about a week. Contact your account manager through Slack or email, or write to sales@rime.ai, if you need a different turnaround or have an SLA. For immediate Mist v1 or Mist v2 control, generate a custom pronunciation by hand or from a recording with the Phonemize API.Example
A request takes only the stringtext, for example:
curl -X POST https://users.rime.ai/oov \
-H 'Authorization: Bearer <authorization>' \
-d '{"text": "This is just a testt. This, is, also, a, testtt"}';
["testt","testtt"]
Variable Parameters
string
required
A string one or more words you’d like to check for coverage in our dictionary. Words can be separated by spaces, commas, or newlines.
⌘I

